#if !defined(AFX_DLGPROJECT_H__69A490AA_C4B4_4608_8DB8_13BB135D8EAE__INCLUDED_)
#define AFX_DLGPROJECT_H__69A490AA_C4B4_4608_8DB8_13BB135D8EAE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgProject.h : header file
//

#include "filenode.h"
#include "MultitronDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgProject dialog

class CDlgProject : public CDialog
{
// Construction
public:
	CDlgProject(CWnd* pParent = NULL);   // standard constructor
	CDocument *SetDocument(CMultitronDoc *);
// Dialog Data
	//{{AFX_DATA(CDlgProject)
	enum { IDD = IDD_PROJECT };
	CTreeCtrl	m_wndTreeData;
	CButton	m_wndPreview;
	CListBox	m_wndListHintPage;
	CComboBox	m_wndComboHintFileName;
	CTreeCtrl	m_wndTreeFiles;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgProject)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CMultitronDoc *m_pDocument;
	int SetDataBrowseNotation(Stuff::NotationFile *);
	int SetDataTexturepool(Stuff::NotationFile *);
	int AddItem(CFileNode *pNode,HTREEITEM hParent = TVI_ROOT);
	CBitmap m_BackBuffer;
	Stuff::NotationFile *m_pNoteFile;

	// Generated message map functions
	//{{AFX_MSG(CDlgProject)
	afx_msg void OnSelendokComboHintfilename();
	afx_msg void OnSelchangedTreeFiles(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeListHintpage();
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnDblclkListHintpage();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnAddMegatexture();
	afx_msg void OnAddTexturehint();
	afx_msg void OnRemoveTexturehint();
	afx_msg void OnDblclkTreeData(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnOpenTexture();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGPROJECT_H__69A490AA_C4B4_4608_8DB8_13BB135D8EAE__INCLUDED_)
